#
# spec file for package perl-Template-Toolkit (Version 2.20)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Template-Toolkit
BuildRequires:  perl-AppConfig perl-DBI perl-Date-Calc perl-XML-DOM perl-XML-Parser
Version:        2.20
Release:        3.2
Requires:       perl = %{perl_version}
Requires:       perl-AppConfig
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/Template/
Summary:        Fast and/ Powerful Template System for Perl
Source:         Template-Toolkit-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Template Toolkit is a fast, powerful, and easily extensible
template processing system written in Perl with certain key elements
coded in C for maximum speed. It is ideally suited (but not limited) to
the creation of static and dynamic web content, and incorporates
various modules and tools to simplify this process.



Authors:
--------
    Andy Wardley <abw@kfs.org>

%prep
%setup -q -n Template-Toolkit-%{version}

%build
perl Makefile.PL
make

%check
make test

%install
%perl_make_install 
%perl_process_packlist
mkdir $RPM_BUILD_ROOT/%{_datadir}/tt2
cp -R images templates $RPM_BUILD_ROOT/%{_datadir}/tt2
find $RPM_BUILD_ROOT/%{_datadir}/tt2 -type d -exec chmod 755 '{}' \;
find $RPM_BUILD_ROOT/%{_datadir}/tt2 -type f -exec chmod 644 '{}' \; 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO MANIFEST Changes README INSTALL HACKING examples docs
%doc %{_mandir}/man?/*
%{_bindir}/*
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_datadir}/tt2
/var/adm/perl-modules/perl-Template-Toolkit

%changelog
* Wed Sep 10 2008 anicka@suse.cz
- update to 2.20
  * bugfixes, documentation updates
- enable testsuite
* Tue May 15 2007 anicka@suse.cz
- update to 2.19
  * Applied a patch to t/fileline.t which fixes the
    problems running on Win32 with backslashes in paths.
  * Applied a patch to the XS Stash which fixes some other
    Win32 problems.
  * Applied another patch to the XS Stashwhich fixes
    a problem with tied hashes under more recent version of Perl.
  * Fixed a problem in the Perl Stash when using objects that have
    overloaded comparison operators.
  * Applied a patch to Template::Provider which adds
    negative caching and moves some functionality into separate
    methods to make subclassing easier. Also added the STAT_TTL
    configuration parameter.
  * Added the url filter as a less aggressive form of the uri
    filter.
* Thu Feb 15 2007 anicka@suse.cz
- update to 2.18
  * Changed the parser grammar to accept expressions as arguments
    to a subroutine, method or virtual method call.
  * Put the t/fileline.t test back in as this was fixed in 2.15a
  * Added the Template::Toolkit documentation-only module.
* Thu Jan 25 2007 anicka@suse.cz
- update to 2.16
  * Handle spurious errors in Makefile.PL when a dev version of
    ExtUtils::MakeMaker is installed.
* Wed Jul 12 2006 anicka@suse.cz
- update to 2.15
  * Added the CHOMP_GREEDY option and '~' chomping flag.  Changed
    CHOMP_COLLAPSE to greedily chomp all whitespace (including
    multiple newlines) and replace it with a single space.
  * Added code to the replace text virtual method to use a faster
    and simpler implementation if the replacement text doesn't
    contain any back references.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 15 2005 anicka@suse.cz
- package splash samples (#63801)
* Fri Jul 29 2005 mjancar@suse.cz
- update to 2.14
* Tue Jul 26 2005 anicka@suse.cz
- add perl-AppConfig to Requires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 2.13
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Wed Jul 16 2003 freitag@suse.de
- removed MANDIR
* Wed Jul 16 2003 freitag@suse.de
- added examples to documentation
  use vendor install
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
- added unpackaged files
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Mon May 26 2003 ro@suse.de
- remove unpackaged files from buildroot
- add ttree and tpage (with manpages) to filelist
* Fri Nov 29 2002 freitag@suse.de
- fixed lib path to be 64 bit conform - and try to remember this for
  the future ;-(
* Fri Nov 29 2002 freitag@suse.de
- initial version 2.08, needed by bugzilla and very powerfull.
